%define qtdir		/usr/lib/qt2
%define KDEDATE		20001017
%define sourcedir	stable/%{version}/distribution/tar/generic/source

Name:		kdeutils
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Utilities
Version:	2.0
Release:	3mdk

Source:		ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdeutils-%{KDEDATE}-src.tar.bz2
#Source1:	Makefile.kdeutils2
Patch:		kdeutils-patch_zip.cc.patch.bz2
Patch1:		kdeutils-patch_rar.cc.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Copyright:	GPL
Requires:	kdesupport >= 1.94-9mdk,  zip, unzip, kdebase
BuildPrereq:	kdelibs
Obsoletes:	kdf

%description
Utilities for the K Desktop Environment.

This package includes:
  - ark: tar/gzip archive manager
  - kab: address book
  - karm: personal time tracker
  - kcalc: scientific calculator
  - kedit: simple text editor
  - kfloppy: floppy formatting tool
  - khexedit: hex editor
  - kjots: note taker
  - klipper: clipboard tool
  - kljettool: HP printer configuration tool
  - klpq: print queue manager
  - knotes: post-it notes for the desktop
  - kpm: process manager similar to 'top', but more advanced
  - kwrite: improved text editor

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdeutils
%patch -p1
%patch1 -p1
make -f Makefile.cvs
#rm -rf doc ktop

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
CXXFLAGS="$RPM_OPT_FLAGS  -frtti -DNDEBUG" \
	./configure  --prefix=%_prefix \
		     --disable-rpath
		     
#cp -a $RPM_SOURCE_DIR/Makefile.kdeutils2 $RPM_BUILD_DIR/kdeutils/Makefile

make CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti"

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/khexedit/common
##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu


kdedesktop2mdkmenu.pl kdeutils "Applications/File tools" $RPM_BUILD_ROOT/usr/share/applnk/Kfind.desktop $RPM_BUILD_ROOT/usr/lib/menu/kfind
kdedesktop2mdkmenu.pl kdeutils Applications/Editors $RPM_BUILD_ROOT/usr/share/applnk/Editors/KEdit.desktop $RPM_BUILD_ROOT/usr/lib/menu/kedit
#kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Information $RPM_BUILD_ROOT/usr/share/applnk/Settings/Information/kcmdf.desktop $RPM_BUILD_ROOT/usr/lib/menu/kcmdf kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Information $RPM_BUILD_ROOT/usr/share/applnk/Settings/Information/pcmcia.desktop $RPM_BUILD_ROOT/usr/lib/menu/pcmcia kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl  $RPM_BUILD_ROOT/usr/share/applnk/Settings/PowerControl/battery.desktop $RPM_BUILD_ROOT/usr/lib/menu/battery kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl  $RPM_BUILD_ROOT/usr/share/applnk/Settings/PowerControl/bwarning.desktop $RPM_BUILD_ROOT/usr/lib/menu/bwarning kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl  $RPM_BUILD_ROOT/usr/share/applnk/Settings/PowerControl/cwarning.desktop $RPM_BUILD_ROOT/usr/lib/menu/cwarning kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl $RPM_BUILD_ROOT/usr/share/applnk/Settings/PowerControl/power.desktop $RPM_BUILD_ROOT/usr/lib/menu/power kde
kdedesktop2mdkmenu.pl kdeutils "Applications/File tools" $RPM_BUILD_ROOT/usr/share/applnk/System/kdf.desktop $RPM_BUILD_ROOT/usr/lib/menu/kdf
#kdedesktop2mdkmenu.pl kdeutils "Applications/File tools" $RPM_BUILD_ROOT/usr/share/applnk/System/kwikdisk.desktop $RPM_BUILD_ROOT/usr/lib/menu/kwikdisk
#kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Other $RPM_BUILD_ROOT/usr/share/applnk/Utilities/KCharSelect.desktop $RPM_BUILD_ROOT/usr/lib/menu/kcharselect kde
kdedesktop2mdkmenu.pl kdeutils "Applications/File tools" $RPM_BUILD_ROOT/usr/share/applnk/Utilities/KFloppy.desktop $RPM_BUILD_ROOT/usr/lib/menu/kfloppy
kdedesktop2mdkmenu.pl kdeutils Configuration/Printing $RPM_BUILD_ROOT/usr/share/applnk/Utilities/KLJetTool.desktop $RPM_BUILD_ROOT/usr/lib/menu/kljettool
kdedesktop2mdkmenu.pl kdeutils Applications/Monitoring $RPM_BUILD_ROOT/usr/share/applnk/Utilities/KLpq.desktop $RPM_BUILD_ROOT/usr/lib/menu/klpq
kdedesktop2mdkmenu.pl kdeutils Office $RPM_BUILD_ROOT/usr/share/applnk/Utilities/Kjots.desktop $RPM_BUILD_ROOT/usr/lib/menu/kjots
kdedesktop2mdkmenu.pl kdeutils Applications/Archiving/Compression $RPM_BUILD_ROOT/usr/share/applnk/Utilities/ark.desktop $RPM_BUILD_ROOT/usr/lib/menu/ark
kdedesktop2mdkmenu.pl kdeutils Applications/Communications $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kab.desktop $RPM_BUILD_ROOT/usr/lib/menu/kab
kdedesktop2mdkmenu.pl kdeutils Applications/Editors $RPM_BUILD_ROOT/usr/share/applnk/Utilities/karm.desktop $RPM_BUILD_ROOT/usr/lib/menu/karm
kdedesktop2mdkmenu.pl kdeutils Office $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kcalc.desktop $RPM_BUILD_ROOT/usr/lib/menu/kcalc
#kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Other $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kdepasswd.desktop $RPM_BUILD_ROOT/usr/lib/menu/kdepasswd kde
kdedesktop2mdkmenu.pl kdeutils Applications/Editors $RPM_BUILD_ROOT/usr/share/applnk/Utilities/khexedit.desktop $RPM_BUILD_ROOT/usr/lib/menu/khexedit
kdedesktop2mdkmenu.pl kdeutils Office $RPM_BUILD_ROOT/usr/share/applnk/Utilities/knotes.desktop $RPM_BUILD_ROOT/usr/lib/menu/knotes
kdedesktop2mdkmenu.pl kdeutils Applications/Monitoring $RPM_BUILD_ROOT/usr/share/applnk/Utilities/kpm.desktop $RPM_BUILD_ROOT/usr/lib/menu/kpm

rm -rf $RPM_BUILD_ROOT/usr/share/applnk

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_datadir/*
%_bindir/*
%_libdir/*

%changelog
* Thu Oct 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Compiled kdf per a bunch of user requests.

* Thu Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Applied two patches to fix date problem from Laurent to ark.

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Code update to KDE 2.0 Release

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- KDE stuff in Configuration only for KDE (Menu)
- Spec clean up
- Human readable description

* Mon Oct 09 2000 Montel Laurent <lmontel@mandrakesoft.com> 1.99-2mdk
- kcharselect and kdepasswd were installed in kcontrol, it doesn't work
  when you click on in kcontrol 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Code update to KDE 2.0 Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Code update

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Code update

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Code update

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Code update

* Thu Sep 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Move kljet control out of control panel into Configuration/Printing not a kcontrol module
                            
* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Code update
                            
* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Code update
                            
* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Code update
                            
* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Code update
                            
* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Code update
                            
* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Code update
                            
* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Code update
                            
* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Code update
                            
* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Code update
                            
* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Code update
- Fixed some menu entries

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Code update
- Changed menu build to use automated tools

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Code update

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Code update

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Code update

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Code update

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Code update

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Code update

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Code update
- Added Menu Files
- Removed automatic file generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Code update

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Code update

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Code update

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Code update

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Code update

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Code update

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Code update

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Code update

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Code updated
- Move install to /usr
- change package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Code update

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Code update

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- updated code snapshot to new version

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot to new version

* Mon Jun 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot to new version

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code snapshot to newer version

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Rebuilt for Mandrake and updated code to more recent snapshot
- fixes several problems found with 1.90

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Thu Apr  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Require and BuildPrereq kdebase - kfind uses libkonq.
- new snapshot

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- we don't support lp or lprng in 6.x, use lpr as spooler in klpq.
- specific requires for zip and unzip for ark.

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- kde 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot provides kpm and kwrite fixes.

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







